ApplicationDeploymentPlan (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.ApplicationDeploymentPlan interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface ApplicationDeploymentPlan

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ApplicationDeploymentPlan

extends ModelObject

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  APPDEPL
Display Name:
  name

Field Summary
`static int` | `ACTIVE`
`static int` | `CLOSED`

Method Summary
`java.lang.String` | `getApplicationDefinitionName()`
`java.lang.String` | `getApplicationDefinitionVersion()`
`ModuleMapping[]` | `getModuleMappings()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPreviousDeploymentPlan()`
`int` | `getStatus()`
`Workflow` | `getWorkflow()`
`Workflow` | `getWorkflowDefinition()`
`boolean` | `hasApplicationDefinitionName()`
`boolean` | `hasApplicationDefinitionVersion()`
`boolean` | `hasModuleMappings()`
`boolean` | `hasName()`
`boolean` | `hasPreviousDeploymentPlan()`
`boolean` | `hasStatus()`
`boolean` | `hasWorkflow()`
`boolean` | `hasWorkflowDefinition()`
`void` | `setApplicationDefinitionName(java.lang.String s)`
`void` | `setApplicationDefinitionVersion(java.lang.String s)`
`void` | `setModuleMappings(ModuleMapping[] s)`
`void` | `setName(java.lang.String s)`
`void` | `setPreviousDeploymentPlan(java.lang.String s)`
`void` | `setStatus(int s)`
`void` | `setWorkflow(Workflow workflow)`
`void` | `setWorkflowDefinition(Workflow workflow)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### ACTIVE

    static final int ACTIVE

See Also:
  Constant Field Values

### CLOSED

    static final int CLOSED

See Also:
  Constant Field Values

Method Detail

### setPreviousDeploymentPlan

    void setPreviousDeploymentPlan(java.lang.String s)

### getPreviousDeploymentPlan

    java.lang.String getPreviousDeploymentPlan()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPreviousDeploymentPlan

    boolean hasPreviousDeploymentPlan()

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setStatus

    void setStatus(int s)

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStatus

    boolean hasStatus()

### setApplicationDefinitionName

    void setApplicationDefinitionName(java.lang.String s)

### getApplicationDefinitionName

    java.lang.String getApplicationDefinitionName()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasApplicationDefinitionName

    boolean hasApplicationDefinitionName()

### setApplicationDefinitionVersion

    void setApplicationDefinitionVersion(java.lang.String s)

### getApplicationDefinitionVersion

    java.lang.String getApplicationDefinitionVersion()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasApplicationDefinitionVersion

    boolean hasApplicationDefinitionVersion()

### setWorkflow

    void setWorkflow(Workflow workflow)

### getWorkflow

    Workflow getWorkflow()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkflow

    boolean hasWorkflow()

### setWorkflowDefinition

    void setWorkflowDefinition(Workflow workflow)

### getWorkflowDefinition

    Workflow getWorkflowDefinition()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkflowDefinition

    boolean hasWorkflowDefinition()

### setModuleMappings

    void setModuleMappings(ModuleMapping[] s)

### getModuleMappings

    ModuleMapping[] getModuleMappings()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasModuleMappings

    boolean hasModuleMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD